Halide 22.0.0 Halide compiler and libraries

Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::LetStmt Struct Reference

The statement form of a let node. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::LetStmt:

## Static Public Member Functions
static Stmt | make (const std::string &name, Expr value, Stmt body)

## Public Attributes
std::string | name
Expr | value
Stmt | body
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count. More...
IRNodeType | node_type
| Each IR node subclass has a unique identifier. More...

## Static Public Attributes
static const IRNodeType | _node_type = IRNodeType::LetStmt

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::StmtNode< LetStmt >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
Stmt | mutate_stmt (IRMutator *v) const override
| StmtNode ()
| ~StmtNode () override=default
Public Member Functions inherited from Halide::Internal::BaseStmtNode
| BaseStmtNode (IRNodeType t)
virtual Stmt | mutate_stmt (IRMutator *v) const =0
Public Member Functions inherited from Halide::Internal::IRNode
virtual void | accept (IRVisitor *v) const =0
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

The statement form of a let node.

Within the statement 'body', instances of the Var named 'name' refer to 'value'

Definition at line 292 of file IR.h.

## Member Function Documentation

## ◆ make()

static Stmt Halide::Internal::LetStmt::make | ( | const std::string & | name,
|  | Expr | value,
|  | Stmt | body
| ) |  |
| static

## Member Data Documentation

## ◆ name

std::string Halide::Internal::LetStmt::name

Definition at line 293 of file IR.h.

## ◆ value

Expr Halide::Internal::LetStmt::value

Definition at line 294 of file IR.h.

## ◆ body

Stmt Halide::Internal::LetStmt::body

Definition at line 295 of file IR.h.

## ◆ _node_type

const IRNodeType Halide::Internal::LetStmt::_node_type = IRNodeType::LetStmt
| static

Definition at line 299 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h